Main Page Widgets Namespaces Book

# Atk::Table Class Reference

Inheritance diagram for Atk::Table:

[legend]

List of all members.

## Detailed Description

The ATK interface implemented for UI components which contain tabular or row/column information.

This should be implemented by components which present elements ordered via rows and columns. It may also be used to present tree-structured information if the nodes of the trees can be said to contain multiple "columns". Individual elements of an Atk::Table are typically referred to as "cells", and these cells are exposed by Atk::Table as child Atk::Objects of the Atk::Table. Both row/column and child-index-based access to these children is provided.

Children of Atk::Table are frequently "lightweight" objects, that is, they may not have backing widgets in the host UI toolkit. They are therefore often transient.

Since tables are often very complex, Atk::Table includes provision for offering simplified summary information, as well as row and column headers and captions. Headers and captions are AtkObjects which may implement other interfaces (Atk::Text, Atk::Image, etc.) as appropriate. Atk::Table summaries may themselves be (simplified) Atk::Tables, etc.

## Public Member Functions

bool | add_column_selection (int column)
| Adds the specified column to the selection.
bool | add_row_selection (int row)
| Adds the specified row to the selection.
Glib::RefPtr<Atk::Object> | get_at (int row, int column)
| Get a reference to the table cell at row, column.
Glib::RefPtr<const Atk::Object> | get_caption () const
| Gets the caption for the table.
Glib::RefPtr<Atk::Object> | get_caption ()
| Gets the caption for the table.
int | get_column_at_index (int index) const
| Gets a `int` representing the column at the specified index, or -1 if the table does not implement this interface.
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table.
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table.
Glib::RefPtr<const Atk::Object> | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table.
Glib::RefPtr<Atk::Object> | get_column_header (int column)
| Gets the column header of a specified column in an accessible table.
int | get_index_at (int row, int column) const
| Gets a `int` representing the index at the specified row and column.
int | get_n_columns () const
| Gets the number of columns in the table.
int | get_n_rows () const
| Gets the number of rows in the table.
int | get_row_at_index (int index) const
| Gets a `int` representing the row at the specified index, or -1 if the table does not implement this interface.
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table.
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table.
Glib::RefPtr<const Atk::Object> | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr<Atk::Object> | get_row_header (int row)
| Gets the row header of a specified row in an accessible table.
Glib::ArrayHandle<int> | get_selected_columns () const
Glib::ArrayHandle<int> | get_selected_rows () const
Glib::RefPtr<const Atk::Object> | get_summary () const
| Gets the summary description of the table.
Glib::RefPtr<Atk::Object> | get_summary ()
| Gets the summary description of the table.
const AtkTable* | gobj () const
| Provides access to the underlying C GObject.
AtkTable* | gobj ()
| Provides access to the underlying C GObject.
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected.
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected.
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected.
bool | remove_column_selection (int column)
| Adds the specified column to the selection.
bool | remove_row_selection (int row)
| Removes the specified row from the selection.
void | set_caption (const Glib::RefPtr<Atk::Object>& caption)
| Sets the caption for the table.
void | set_column_description (int column, const Glib::ustring& description)
| Sets the description text for the specified column of the table.
void | set_column_header (int column, const Glib::RefPtr<Atk::Object>& header)
| Sets the specified column header to header.
void | set_row_description (int row, const Glib::ustring& description)
| Sets the description text for the specified row of table.
void | set_row_header (int row, const Glib::RefPtr<Atk::Object>& header)
| Sets the specified row header to header.
void | set_summary (const Glib::RefPtr<Atk::Object>& accessible)
| Sets the summary description of the table.
Glib::SignalProxy2< void, int, int > | signal_column_deleted ()
Glib::SignalProxy2< void, int, int > | signal_column_inserted ()
Glib::SignalProxy0<void> | signal_column_reordered ()
Glib::SignalProxy0<void> | signal_model_changed ()
Glib::SignalProxy2< void, int, int > | signal_row_deleted ()
Glib::SignalProxy2< void, int, int > | signal_row_inserted ()
Glib::SignalProxy0<void> | signal_row_reordered ()
virtual | ~Table ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual bool | add_column_selection_vfunc (int column)
virtual bool | add_row_selection_vfunc (int row)
virtual Glib::RefPtr<Atk::Object> | get_at_vfunc (int row, int column)
virtual Glib::RefPtr<Atk::Object> | get_caption_vfunc ()
virtual int | get_column_at_index_vfunc (int index) const
virtual const char* | get_column_description_vfunc (int column) const
virtual int | get_column_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr<Atk::Object> | get_column_header_vfunc (int column)
virtual int | get_index_at_vfunc (int row, int column) const
virtual int | get_n_columns_vfunc () const
virtual int | get_n_rows_vfunc () const
virtual int | get_row_at_index_vfunc (int index) const
virtual const char* | get_row_description_vfunc (int row) const
virtual int | get_row_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr<Atk::Object> | get_row_header_vfunc (int row)
virtual int | get_selected_columns_vfunc (int** selected) const
virtual int | get_selected_rows_vfunc (int** selected) const
virtual Glib::RefPtr<Atk::Object> | get_summary_vfunc ()
virtual bool | is_column_selected_vfunc (int column) const
virtual bool | is_row_selected_vfunc (int row) const
virtual bool | is_selected_vfunc (int row, int column) const
virtual void | on_column_deleted (int column, int num_deleted)
virtual void | on_column_inserted (int column, int num_inserted)
virtual void | on_column_reordered ()
virtual void | on_model_changed ()
virtual void | on_row_deleted (int row, int num_deleted)
virtual void | on_row_inserted (int row, int num_inserted)
virtual void | on_row_reordered ()
virtual bool | remove_column_selection_vfunc (int column)
virtual bool | remove_row_selection_vfunc (int row)
virtual void | set_caption_vfunc (const Glib::RefPtr<Atk::Object>& caption)
virtual void | set_column_description_vfunc (int column, const char* description)
virtual void | set_column_header_vfunc (int column, const Glib::RefPtr<Atk::Object>& header)
virtual void | set_row_description_vfunc (int row, const char* description)
virtual void | set_row_header_vfunc (int row, const Glib::RefPtr<Atk::Object>& header)
virtual void | set_summary_vfunc (const Glib::RefPtr<Atk::Object>& accessible)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Table> | wrap (AtkTable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Atk::Table::~Table | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Atk::Table::add_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters:

  | column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column was successfully added to the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::add_column_selection_vfunc | ( | int | column | ) | `[protected, virtual]`

static void Atk::Table::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Atk::Table::add_row_selection | ( | int | row | ) |

Adds the specified row to the selection.

Parameters:

  | row | A `int` representing a row in table.

Returns:
  A `bool` representing if row was successfully added to selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::add_row_selection_vfunc | ( | int | row | ) | `[protected, virtual]`

Glib::RefPtr<Atk::Object> Atk::Table::get_at | ( | int | row,
|  | int | column |
| ) |  |  |

Get a reference to the table cell at row, column.

Parameters:

  | row | A `int` representing a row in table.
  | column | A `int` representing a column in table.

Returns:
  A AtkObject* representing the referred to accessible.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_at_vfunc | ( | int | row,
|  | int | column |
| ) |  |  | `[protected, virtual]`

Glib::RefPtr<const Atk::Object> Atk::Table::get_caption | ( |  | ) | const

Gets the caption for the table.

Returns:
  A AtkObject* representing the table caption, or `0` if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_caption | ( |  | ) |

Gets the caption for the table.

Returns:
  A AtkObject* representing the table caption, or `0` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_caption_vfunc | ( |  | ) | `[protected, virtual]`

int Atk::Table::get_column_at_index | ( | int | index | ) | const

Gets a `int` representing the column at the specified index, or -1 if the table does not implement this interface.

Parameters:

  | index | A `int` representing an index in table.

Returns:
  A `int` representing the column at the specified index.

virtual int Atk::Table::get_column_at_index_vfunc | ( | int | index | ) | const`[protected, virtual]`

Glib::ustring Atk::Table::get_column_description | ( | int | column | ) | const

Gets the description text of the specified column in the table.

Parameters:

  | column | A `int` representing a column in table.

Returns:
  A gchar* representing the column description, or `0` if value does not implement this interface.

virtual const char* Atk::Table::get_column_description_vfunc | ( | int | column | ) | const`[protected, virtual]`

int Atk::Table::get_column_extent_at | ( | int | row,
|  | int | column |
| ) |  |  | const

Gets the number of columns occupied by the accessible object at the specified row and column in the table.

Parameters:

  | row | A `int` representing a row in table.
  | column | A `int` representing a column in table.

Returns:
  A `int` representing the column extent at specified position, or 0 if value does not implement this interface.

virtual int Atk::Table::get_column_extent_at_vfunc | ( | int | row,
|  | int | column |
| ) |  |  | const`[protected, virtual]`

Glib::RefPtr<const Atk::Object> Atk::Table::get_column_header | ( | int | column | ) | const

Gets the column header of a specified column in an accessible table.

Parameters:

  | column | A `int` representing a column in the table.

Returns:
  A AtkObject* representing the specified column header, or `0` if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_column_header | ( | int | column | ) |

Gets the column header of a specified column in an accessible table.

Parameters:

  | column | A `int` representing a column in the table.

Returns:
  A AtkObject* representing the specified column header, or `0` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_column_header_vfunc | ( | int | column | ) | `[protected, virtual]`

int Atk::Table::get_index_at | ( | int | row,
|  | int | column |
| ) |  |  | const

Gets a `int` representing the index at the specified row and column.

The value -1 is returned if the object at row,column is not a child of table or table does not implement this interface.

Parameters:

  | row | A `int` representing a row in table.
  | column | A `int` representing a column in table.

Returns:
  A `int` representing the index at specified position.

virtual int Atk::Table::get_index_at_vfunc | ( | int | row,
|  | int | column |
| ) |  |  | const`[protected, virtual]`

int Atk::Table::get_n_columns | ( |  | ) | const

Gets the number of columns in the table.

Returns:
  A `int` representing the number of columns, or 0 if value does not implement this interface.

virtual int Atk::Table::get_n_columns_vfunc | ( |  | ) | const`[protected, virtual]`

int Atk::Table::get_n_rows | ( |  | ) | const

Gets the number of rows in the table.

Returns:
  A `int` representing the number of rows, or 0 if value does not implement this interface.

virtual int Atk::Table::get_n_rows_vfunc | ( |  | ) | const`[protected, virtual]`

int Atk::Table::get_row_at_index | ( | int | index | ) | const

Gets a `int` representing the row at the specified index, or -1 if the table does not implement this interface.

Parameters:

  | index | A `int` representing an index in table.

Returns:
  A `int` representing the row at the specified index.

virtual int Atk::Table::get_row_at_index_vfunc | ( | int | index | ) | const`[protected, virtual]`

Glib::ustring Atk::Table::get_row_description | ( | int | row | ) | const

Gets the description text of the specified row in the table.

Parameters:

  | row | A `int` representing a row in table.

Returns:
  A gchar* representing the row description, or `0` if value does not implement this interface.

virtual const char* Atk::Table::get_row_description_vfunc | ( | int | row | ) | const`[protected, virtual]`

int Atk::Table::get_row_extent_at | ( | int | row,
|  | int | column |
| ) |  |  | const

Gets the number of rows occupied by the accessible object at a specified row and column in the table.

Parameters:

  | row | A `int` representing a row in table.
  | column | A `int` representing a column in table.

Returns:
  A `int` representing the row extent at specified position, or 0 if value does not implement this interface.

virtual int Atk::Table::get_row_extent_at_vfunc | ( | int | row,
|  | int | column |
| ) |  |  | const`[protected, virtual]`

Glib::RefPtr<const Atk::Object> Atk::Table::get_row_header | ( | int | row | ) | const

Gets the row header of a specified row in an accessible table.

Parameters:

  | row | A `int` representing a row in the table.

Returns:
  A AtkObject* representing the specified row header, or `0` if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_row_header | ( | int | row | ) |

Gets the row header of a specified row in an accessible table.

Parameters:

  | row | A `int` representing a row in the table.

Returns:
  A AtkObject* representing the specified row header, or `0` if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_row_header_vfunc | ( | int | row | ) | `[protected, virtual]`

Glib::ArrayHandle<int> Atk::Table::get_selected_columns | ( |  | ) | const

virtual int Atk::Table::get_selected_columns_vfunc | ( | int ** | selected | ) | const`[protected, virtual]`

Glib::ArrayHandle<int> Atk::Table::get_selected_rows | ( |  | ) | const

virtual int Atk::Table::get_selected_rows_vfunc | ( | int ** | selected | ) | const`[protected, virtual]`

Glib::RefPtr<const Atk::Object> Atk::Table::get_summary | ( |  | ) | const

Gets the summary description of the table.

Returns:
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_summary | ( |  | ) |

Gets the summary description of the table.

Returns:
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

virtual Glib::RefPtr<Atk::Object> Atk::Table::get_summary_vfunc | ( |  | ) | `[protected, virtual]`

const AtkTable* Atk::Table::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Atk::NoOpObject.

AtkTable* Atk::Table::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Atk::NoOpObject.

bool Atk::Table::is_column_selected | ( | int | column | ) | const

Gets a boolean value indicating whether the specified column is selected.

Parameters:

  | column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_column_selected_vfunc | ( | int | column | ) | const`[protected, virtual]`

bool Atk::Table::is_row_selected | ( | int | row | ) | const

Gets a boolean value indicating whether the specified row is selected.

Parameters:

  | row | A `int` representing a row in table.

Returns:
  A `bool` representing if the row is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_row_selected_vfunc | ( | int | row | ) | const`[protected, virtual]`

bool Atk::Table::is_selected | ( | int | row,
|  | int | column |
| ) |  |  | const

Gets a boolean value indicating whether the accessible object at the specified row and column is selected.

Parameters:

  | row | A `int` representing a row in table.
  | column | A `int` representing a column in table.

Returns:
  A `bool` representing if the cell is selected, or 0 if value does not implement this interface.

virtual bool Atk::Table::is_selected_vfunc | ( | int | row,
|  | int | column |
| ) |  |  | const`[protected, virtual]`

virtual void Atk::Table::on_column_deleted | ( | int | column,
|  | int | num_deleted |
| ) |  |  | `[protected, virtual]`

virtual void Atk::Table::on_column_inserted | ( | int | column,
|  | int | num_inserted |
| ) |  |  | `[protected, virtual]`

virtual void Atk::Table::on_column_reordered | ( |  | ) | `[protected, virtual]`

virtual void Atk::Table::on_model_changed | ( |  | ) | `[protected, virtual]`

virtual void Atk::Table::on_row_deleted | ( | int | row,
|  | int | num_deleted |
| ) |  |  | `[protected, virtual]`

virtual void Atk::Table::on_row_inserted | ( | int | row,
|  | int | num_inserted |
| ) |  |  | `[protected, virtual]`

virtual void Atk::Table::on_row_reordered | ( |  | ) | `[protected, virtual]`

bool Atk::Table::remove_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters:

  | column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column was successfully removed from the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::remove_column_selection_vfunc | ( | int | column | ) | `[protected, virtual]`

bool Atk::Table::remove_row_selection | ( | int | row | ) |

Removes the specified row from the selection.

Parameters:

  | row | A `int` representing a row in table.

Returns:
  A `bool` representing if the row was successfully removed from the selection, or 0 if value does not implement this interface.

virtual bool Atk::Table::remove_row_selection_vfunc | ( | int | row | ) | `[protected, virtual]`

void Atk::Table::set_caption | ( | const Glib::RefPtr<Atk::Object>& | caption | ) |

Sets the caption for the table.

Parameters:

  | caption | A Atk::Object representing the caption to set for table.

virtual void Atk::Table::set_caption_vfunc | ( | const Glib::RefPtr<Atk::Object>& | caption | ) | `[protected, virtual]`

void Atk::Table::set_column_description | ( | int | column,
|  | const Glib::ustring & | description |
| ) |  |  |

Sets the description text for the specified column of the table.

Parameters:

  | column | A `int` representing a column in table.
  | description | A gchar representing the description text to set for the specified column of the table.

virtual void Atk::Table::set_column_description_vfunc | ( | int | column,
|  | const char * | description |
| ) |  |  | `[protected, virtual]`

void Atk::Table::set_column_header | ( | int | column,
|  | const Glib::RefPtr<Atk::Object>& | header |
| ) |  |  |

Sets the specified column header to header.

Parameters:

  | column | A `int` representing a column in table.
  | header | An Atk::Table.

virtual void Atk::Table::set_column_header_vfunc | ( | int | column,
|  | const Glib::RefPtr<Atk::Object>& | header |
| ) |  |  | `[protected, virtual]`

void Atk::Table::set_row_description | ( | int | row,
|  | const Glib::ustring & | description |
| ) |  |  |

Sets the description text for the specified row of table.

Parameters:

  | row | A `int` representing a row in table.
  | description | A gchar representing the description text to set for the specified row of table.

virtual void Atk::Table::set_row_description_vfunc | ( | int | row,
|  | const char * | description |
| ) |  |  | `[protected, virtual]`

void Atk::Table::set_row_header | ( | int | row,
|  | const Glib::RefPtr<Atk::Object>& | header |
| ) |  |  |

Sets the specified row header to header.

Parameters:

  | row | A `int` representing a row in table.
  | header | An Atk::Table.

virtual void Atk::Table::set_row_header_vfunc | ( | int | row,
|  | const Glib::RefPtr<Atk::Object>& | header |
| ) |  |  | `[protected, virtual]`

void Atk::Table::set_summary | ( | const Glib::RefPtr<Atk::Object>& | accessible | ) |

Sets the summary description of the table.

Parameters:

  | accessible | An Atk::Object representing the summary description to set for table.

virtual void Atk::Table::set_summary_vfunc | ( | const Glib::RefPtr<Atk::Object>& | accessible | ) | `[protected, virtual]`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_deleted | ( |  | ) |

Prototype:
  `void on_my_column_deleted(int column, int num_deleted)`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_inserted | ( |  | ) |

Prototype:
  `void on_my_column_inserted(int column, int num_inserted)`

Glib::SignalProxy0< void > Atk::Table::signal_column_reordered | ( |  | ) |

Prototype:
  `void on_my_column_reordered()`

Glib::SignalProxy0< void > Atk::Table::signal_model_changed | ( |  | ) |

Prototype:
  `void on_my_model_changed()`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_deleted | ( |  | ) |

Prototype:
  `void on_my_row_deleted(int row, int num_deleted)`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_inserted | ( |  | ) |

Prototype:
  `void on_my_row_inserted(int row, int num_inserted)`

Glib::SignalProxy0< void > Atk::Table::signal_row_reordered | ( |  | ) |

Prototype:
  `void on_my_row_reordered()`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Table> wrap | ( | AtkTable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atk/atkmm/table.h